TRACEROUTE6(8)

NAME
traceroute6 - print the route IPv6 packets take to network host

SYNOPSIS
traceroute6 [-AdIlnrv] [-f firsthop] [-g gateway] [-m hoplimit] [-p port] [-q probes] [-s src] [-w waittime] host [datalen]

DESCRIPTION
The traceroute6 utility details the route IPv6 packets take to reach a network host.

The options are as follows:

-A  Look up the AS number for each hop address. Uses the DNS service described at http://www.team-cymru.org/Services/ip-to-asn.html.

-d  Debug mode.

-f firsthop
    Specify how many hops to skip.

-g gateway
    Specify an intermediate gateway ( traceroute6 uses a routing header).

-I  Use ICMP6 ECHO instead of UDP datagrams.

-l  Print both host hostnames and numeric addresses. Normally traceroute6 prints only hostnames if -n is not specified, and only numeric addresses if -n is specified.

-m hoplimit
    Specify a maximum hoplimit.

-n  Do not resolve numeric addresses.

-p port
    Set UDP port number to port.

-q probes
    Set the number of probes per hop count to probes.

-r  Bypass the normal routing tables and send directly to a host on an attached network. If the host is not on a directly attached network, an error is returned. This option corresponds to the SO_DONTROUTE socket option; it can be used to ping a local host through an interface that has no route through it (e.g. after the interface was dropped by a routing daemon).

-s src
    Specify the source IPv6 address to be used.

-v  Be verbose.

-w waittime
    Specify the time delay between probes.

EXIT STATUS

SEE ALSO
netstat(1), ping(8), ping6(8), traceroute(8)

HISTORY
The traceroute6 command first appeared in the WIDE Hydrangea IPv6 protocol stack kit.